use crate::ems::service::Service;
use crate::internal::utils;
use anyhow::Error;
use log::info;
use std::time::Duration;
use tokio::task::JoinHandle;

pub struct Bms {}

impl Bms {
    /// 初始化BMS
    pub async fn new() -> Self {
        utils::log::init_log("inpower_iot_mgc_rs::ems::bms::*", "logs/bms.log").await;
        info!("BMS初始化成功");
        Bms {}
    }
}

impl Service for Bms {
    fn run(&self) -> Result<JoinHandle<()>, Error> {
        let handle: JoinHandle<()> = tokio::spawn(async {
            let read_handle = tokio::spawn(async {
                loop {
                    tokio::time::sleep(Duration::from_secs(3)).await;
                }
            });
            let write_handle = tokio::spawn(async {
                loop {
                    tokio::time::sleep(Duration::from_secs(1)).await;
                }
            });
        });
        Ok(handle)
    }
}
