use crate::cmd::config::EMU_CONFIG;
use crate::ems::service::Service;
use crate::internal::utils;
use anyhow::Error;
use log::info;
use std::time::Duration;
use tokio::task::JoinHandle;

pub struct Pcs {}

impl Pcs {
    /// 初始化PCS
    pub async fn new() -> Self {
        utils::log::init_log("inpower_iot_mgc_rs::ems::pcs::*", "logs/pcs.log").await;
        info!("PCS初始化成功");
        Pcs {}
    }
}

impl Service for Pcs {
    fn run(&self) -> Result<JoinHandle<()>, Error> {
        let emu_config = EMU_CONFIG.get().unwrap();
        let handle = tokio::spawn(async {
            loop {
                tokio::time::sleep(Duration::from_millis(emu_config.emu.ems.read_interval)).await;
            }
        });
        Ok(handle)
    }
}
